Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
SensorPrivateMetadata.h File Reference

Libargus Extension: Sensor Private Metadata API More...

Go to the source code of this file.

## Classes
class | Argus::Ext::ISensorPrivateMetadataCaps
| Interface used to query the availability and size in bytes of sensor private metadata. More...
class | Argus::Ext::ISensorPrivateMetadataRequest
| Interface used enable the output of sensor private metadata for a request. More...
class | Argus::Ext::ISensorPrivateMetadata
| Interface used to access sensor private metadata. More...

## Namespaces
namespace | Argus
namespace | Argus::Ext

## Functions
| Argus::DEFINE_UUID (ExtensionName, EXT_SENSOR_PRIVATE_METADATA, 7acf4352, 3a75, 46e7, 9af1, 8d, 71, da, 83, 15, 23)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_SENSOR_PRIVATE_METADATA_CAPS, e492d2bf, 5285, 476e, 94c5, ee, 64, d5, 3d, 94, ef)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_SENSOR_PRIVATE_METADATA_REQUEST, 5c868b69, 42f5, 4ec9, 9b93, 44, 11, c9, 6c, 02, e3)
| Argus::Ext::DEFINE_UUID (InterfaceID, IID_SENSOR_PRIVATE_METADATA, 68cf6680, 70d7, 4b52, 9a99, 33, fb, 65, 81, a2, 61)

## Detailed Description

Libargus Extension: Sensor Private Metadata API

Description: This file defines the SensorPrivateMetadata extension.

Definition in file SensorPrivateMetadata.h.